<template>
  <el-dialog v-if="visible" :visible.sync="visible" :title="title" :fullscreen="true" append-to-body
    custom-class="base-dialog-wrapper" @close="handleClose">
    <div class="base-modal-body" style="border: 2px solid #ccc; padding: 10px">
      <video :src="path" style="width: 100%;height: 99%;" autoplay controls controlsList="nodownload"></video>
    </div>
  </el-dialog>
</template>
<script>
export default {
  name: "Video",
  data() {
    return {
      visible: false,
      path: null,
      type: null,
      title: null,
    };
  },
  methods: {

    open(path, type, title) {
      this.path = this.OSSclientConfig.basePath + path;
      this.title = title;
      this.visible = true;
    },
    handleClose() {
      this.$emit("closed");
    },
  },
};
</script>
<style lang="scss" scoped>
#placeholder {
  width: 100%;
  height: 100%;
}
</style>